/*
 * modified for STEVIE
 */
#ifndef STEVIE
#define STEVIE
#endif

/*
 * Definitions etc. for regexp(3) routines.
 *
 * Caveat:  this is V8 regexp(3) [actually, a reimplementation thereof],
 * not the System V one.
 */

#ifdef STEVIE
#ifdef KANJI
typedef	unsigned short	Char;
#else
typedef	unsigned char	Char;
#define	Strxchr	Strchr
#endif
#else
typedef	unsigned char	Char;
#define	Strlen	strlen
#define	Strncmp	strncmp
#define	Strncpy	strncpy
#define	Strchr	strchr
#define	Strxchr	strchr
#define	Strcspn	strcspn
#endif

#define NSUBEXP  10
typedef struct regexp {
	Char *startp[NSUBEXP];
	Char *endp[NSUBEXP];
	Char regstart;		/* Internal use only. */
	Char reganch;		/* Internal use only. */
	Char *regmust;		/* Internal use only. */
	int regmlen;		/* Internal use only. */
	Char program[1];	/* Unwarranted chumminess with compiler. */
} regexp;

extern regexp *regcomp();
extern int regexec();
extern void regsub();
extern void regerror();
