#
# Makefile for the Atari ST - Sozobon C Compiler
#

CFLAGS	= -O -DATARI_TOS

OBJS =	alloc.o cmdline.o edit.o fileio.o help.o hexchars.o \
	linefunc.o main.o mark.o misccmds.o normal.o ops.o \
	param.o ptrfunc.o regexp.o regsub.o screen.o search.o \
	undo.o version.o glob.o tos.o

.c.o:
	$(CC) -c $(CFLAGS) $<
	ar rv vi.lib $*.o

all: stevie.ttp

stevie.ttp: $(OBJ)
	$(CC) vi.lib -o stevie.ttp

clean:
	$(RM) $(OBJ) vi.lib
