;	fepdmy.asm - Dummy driver for FEP residence check.
;
;	Written by: Junn Ohta, June 1990.  Public domain.
;	Reference: MS-DOS device driver katsuyo-giho (ASCII, 1988)
;
;	To make:
;		A> masm fepdmy;
;		A> link fepdmy;
;		A> exe2bin fepdmy fepdmy.sys
;

title		fepdmy

reqheader	struc
		_length		db	?
		_unit		db	?
		_cmd		db	?
		_status		dw	?
		_reserve	db	8 dup (?)
		_media		db	?
		_address	dd	?
		_count		dw	?
		_sector		dw	?
		_volid		dd	?
reqheader	ends

vector		struc
		_ofs		dw	?
		_seg		dw	?
vector		ends

code		segment byte public
		assume	cs:code,ds:code,es:nothing,ss:code
		dd	-1
		dw	8000h
		dw	strategy
		dw	intentry
		db	'FP$DUMMY'

ptrsave		vector	<,>
strategy	proc	far
		mov	word ptr cs:ptrsave._ofs,bx
		mov	word ptr cs:ptrsave._seg,es
		ret
strategy	endp

intentry	proc	far
		pushf
		push	ax
		push	bx
		push	es
		les	bx,ptrsave
		mov	al,es:[bx]._cmd
		or	al,al
		jnz	exit
		call	init
exit:
		xor	al,al
		mov	ah,00000001b
		mov	es:[bx]._status,ax
		pop	es
		pop	bx
		pop	ax
		popf
		ret
intentry	endp

init		proc	near
		mov	es:[bx._address]._ofs,offset init
		mov	es:[bx._address]._seg,cs
		ret
init		endp

code		ends
		end
