;
; pc98_50l.asm - NEC PC-9801 50 LINE version dependent
;
;	Written by: Koji Ishii
;
.MODEL		large,	c

.CODE

textblit	PROC	USES si di ds es, fb: FAR PTR, pat: PTR, attr, hgt

if @datasize
	lds	si, pat
else
	mov	si, pat
endif
	les	di, fb
	mov	cx, hgt
	mov	ax, attr
	test	al, 1
	jnz	standout
loop1:
	movsb
	add	di, 79
	loop	loop1

	ret

standout:
	lodsb
	not	al
	stosb
	add	di, 79
	loop	standout

	ret

textblit	ENDP

rmemcpy		PROC	USES si di ds es, to: PTR, from: PTR, len

if @datasize
	lds	si, from
	les	di, to
else
	mov	si, from
	mov	di, to
	mov	ax, ds
	mov	es, ax
endif
	mov	cx, len
	std
	add	si, cx
	sub	si, 2
	add	di, cx
	sub	di, 2
	shr	cx, 1
	rep movsw
	adc	cx, cx
	rep movsb
	cld
	ret

rmemcpy		ENDP

	end
